Sets the static variables in function or method scope

- « uopz_set_return

- uopz_undefine »

- PHP Manual
- Uopz Functions
- Sets the static variables in function or method scope

# uopz_set_static

(PECL uopz 5, PECL uopz , PECL uopz 7)

uopz_set_static — Sets the static variables in function or method scope

### Description

uopz_set_static(string `$function`, array `$static`): void
uopz_set_static(string `$class`, string `$function`, array `$static`): void

Sets the static variables in function or method scope.

### Parameters

`class`

  The name of the class.

`function`

  The name of the function or method.

`static`

  The associative array of variable names mapped to their values.

### Return Values

No value is returned.

### Examples

Example #1 Basic uopz_set_static() Usage

    <?phpfunction foo() {    static $bar = 'baz';    var_dump($bar);}uopz_set_static('foo', ['bar' => 'qux']);foo();?>

The above example will output:

    string(3) "qux"

### See Also

- uopz_get_static() - Gets the static variables from function or method scope